BASENAME(1)

NAME
basename - strip filename affixes

SYNOPSIS
basename string [ suffix ]

DESCRIPTION
Basename deletes any prefix ending in `/' and the suffix, if present in string, from string, and prints the result on the standard output. It is normally used inside substitution marks ` ` in shell procedures.

This shell procedure invoked with the argument /usr/src/bin/cat.c compiles the named file and moves the output to cat in the current directory:

    cc $1
    mv a.out `basename $1 .c`

SEE ALSO
sh(1)